curl --request PATCH \
--url https://api.stardex.ai/v1/job-offers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_offer_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extended_date": "<string>",
"accepted_date": "<string>",
"candidate_start_date": "<string>",
"compensation_currency": "<string>",
"compensation_base": 123,
"compensation_bonus": 123,
"annual_equity_grant_percent": 123,
"annual_equity_grant_amount": 123,
"initial_equity_grant_percent": 123,
"initial_equity_grant_amount": 123,
"relocation_bonus": 123,
"sign_on_bonus": 123,
"total_estimated_compensation": 123,
"note": "<string>",
"owner_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"client_contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.stardex.ai/v1/job-offers/{id}"
payload = {
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_offer_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extended_date": "<string>",
"accepted_date": "<string>",
"candidate_start_date": "<string>",
"compensation_currency": "<string>",
"compensation_base": 123,
"compensation_bonus": 123,
"annual_equity_grant_percent": 123,
"annual_equity_grant_amount": 123,
"initial_equity_grant_percent": 123,
"initial_equity_grant_amount": 123,
"relocation_bonus": 123,
"sign_on_bonus": 123,
"total_estimated_compensation": 123,
"note": "<string>",
"owner_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"client_contact_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
candidate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
job_offer_status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
extended_date: '<string>',
accepted_date: '<string>',
candidate_start_date: '<string>',
compensation_currency: '<string>',
compensation_base: 123,
compensation_bonus: 123,
annual_equity_grant_percent: 123,
annual_equity_grant_amount: 123,
initial_equity_grant_percent: 123,
initial_equity_grant_amount: 123,
relocation_bonus: 123,
sign_on_bonus: 123,
total_estimated_compensation: 123,
note: '<string>',
owner_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
client_contact_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.stardex.ai/v1/job-offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/job-offers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'job_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'candidate_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'job_offer_status_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'extended_date' => '<string>',
'accepted_date' => '<string>',
'candidate_start_date' => '<string>',
'compensation_currency' => '<string>',
'compensation_base' => 123,
'compensation_bonus' => 123,
'annual_equity_grant_percent' => 123,
'annual_equity_grant_amount' => 123,
'initial_equity_grant_percent' => 123,
'initial_equity_grant_amount' => 123,
'relocation_bonus' => 123,
'sign_on_bonus' => 123,
'total_estimated_compensation' => 123,
'note' => '<string>',
'owner_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'client_contact_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/job-offers/{id}"
payload := strings.NewReader("{\n \"job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"candidate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job_offer_status_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"extended_date\": \"<string>\",\n \"accepted_date\": \"<string>\",\n \"candidate_start_date\": \"<string>\",\n \"compensation_currency\": \"<string>\",\n \"compensation_base\": 123,\n \"compensation_bonus\": 123,\n \"annual_equity_grant_percent\": 123,\n \"annual_equity_grant_amount\": 123,\n \"initial_equity_grant_percent\": 123,\n \"initial_equity_grant_amount\": 123,\n \"relocation_bonus\": 123,\n \"sign_on_bonus\": 123,\n \"total_estimated_compensation\": 123,\n \"note\": \"<string>\",\n \"owner_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"client_contact_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.stardex.ai/v1/job-offers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"candidate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job_offer_status_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"extended_date\": \"<string>\",\n \"accepted_date\": \"<string>\",\n \"candidate_start_date\": \"<string>\",\n \"compensation_currency\": \"<string>\",\n \"compensation_base\": 123,\n \"compensation_bonus\": 123,\n \"annual_equity_grant_percent\": 123,\n \"annual_equity_grant_amount\": 123,\n \"initial_equity_grant_percent\": 123,\n \"initial_equity_grant_amount\": 123,\n \"relocation_bonus\": 123,\n \"sign_on_bonus\": 123,\n \"total_estimated_compensation\": 123,\n \"note\": \"<string>\",\n \"owner_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"client_contact_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/job-offers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"candidate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job_offer_status_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"extended_date\": \"<string>\",\n \"accepted_date\": \"<string>\",\n \"candidate_start_date\": \"<string>\",\n \"compensation_currency\": \"<string>\",\n \"compensation_base\": 123,\n \"compensation_bonus\": 123,\n \"annual_equity_grant_percent\": 123,\n \"annual_equity_grant_amount\": 123,\n \"initial_equity_grant_percent\": 123,\n \"initial_equity_grant_amount\": 123,\n \"relocation_bonus\": 123,\n \"sign_on_bonus\": 123,\n \"total_estimated_compensation\": 123,\n \"note\": \"<string>\",\n \"owner_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"client_contact_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "7e8f9012-3456-4789-a012-bcdef0123456",
"job_id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"job_name": "VP of Engineering",
"job_company_id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
"job_company_name": "Acme Corp",
"candidate_id": "3c4d5e6f-7a8b-4c9d-8e1f-2a3b4c5d6e7f",
"person_id": "4d5e6f7a-8b9c-4d0e-9f2a-3b4c5d6e7f8a",
"person_name": "Jordan Lee",
"status": {
"id": "5e6f7a8b-9c0d-4e1f-8a3b-4c5d6e7f8a9b",
"name": "Accepted",
"color": "#22c55e",
"status_type": "accepted"
},
"owners": [
{
"id": "6f7a8b9c-0d1e-4f2a-9b4c-5d6e7f8a9b0c",
"name": "Jane Smith",
"first_name": "Jane",
"last_name": "Smith",
"image_url": "https://img.clerk.com/jane-smith.png"
}
],
"client_contacts": [
{
"id": "7a8b9c0d-1e2f-4a3b-8c5d-6e7f8a9b0c1d",
"person_id": "8b9c0d1e-2f3a-4b4c-9d6e-7f8a9b0c1d2e",
"name": "Morgan Patel",
"first_name": "Morgan",
"last_name": "Patel",
"image_url": "https://media.example.com/morgan-patel.jpg"
}
],
"extended_date": "2026-04-02T00:00:00.000Z",
"accepted_date": "2026-04-09T00:00:00.000Z",
"candidate_start_date": "2026-05-04T00:00:00.000Z",
"compensation_currency": "USD",
"compensation_base": 285000,
"compensation_bonus": 20,
"bonus_type": "percent",
"annual_equity_grant_percent": null,
"annual_equity_grant_amount": 50000,
"initial_equity_grant_percent": 0.25,
"initial_equity_grant_amount": 400000,
"relocation_bonus": 15000,
"sign_on_bonus": 25000,
"total_estimated_compensation": 392000,
"note": "Accepted after a second-round counter on base.",
"created_at": "2026-04-02T15:20:00.000Z",
"updated_at": "2026-04-09T18:05:00.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Update job offer
Update an existing offer. Only provided fields change.
owner_ids and client_contact_ids replace the full set when sent (pass [] to clear). Omitted leaves them unchanged. Client contacts must already be on the offer job; if you change job_id without sending client_contact_ids, existing contacts must already be on the new job (or pass [] to clear).
Dates must stay in order: extended ≤ accepted ≤ start. MCP drops null values, so clearing a date or compensation field is done in the app or the REST API.
This does not move the candidate or log a placement when the status becomes accepted.
Access: Session and OAuth callers need org:reports:offer_tracking (org:admin bypasses). API keys need the offers:write scope. Compensation fields (compensation_*, bonus_type, equity grants, relocation_bonus, sign_on_bonus, total_estimated_compensation) are omitted for API keys without compensation:read.
curl --request PATCH \
--url https://api.stardex.ai/v1/job-offers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_offer_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extended_date": "<string>",
"accepted_date": "<string>",
"candidate_start_date": "<string>",
"compensation_currency": "<string>",
"compensation_base": 123,
"compensation_bonus": 123,
"annual_equity_grant_percent": 123,
"annual_equity_grant_amount": 123,
"initial_equity_grant_percent": 123,
"initial_equity_grant_amount": 123,
"relocation_bonus": 123,
"sign_on_bonus": 123,
"total_estimated_compensation": 123,
"note": "<string>",
"owner_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"client_contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.stardex.ai/v1/job-offers/{id}"
payload = {
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_offer_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extended_date": "<string>",
"accepted_date": "<string>",
"candidate_start_date": "<string>",
"compensation_currency": "<string>",
"compensation_base": 123,
"compensation_bonus": 123,
"annual_equity_grant_percent": 123,
"annual_equity_grant_amount": 123,
"initial_equity_grant_percent": 123,
"initial_equity_grant_amount": 123,
"relocation_bonus": 123,
"sign_on_bonus": 123,
"total_estimated_compensation": 123,
"note": "<string>",
"owner_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"client_contact_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
candidate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
job_offer_status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
extended_date: '<string>',
accepted_date: '<string>',
candidate_start_date: '<string>',
compensation_currency: '<string>',
compensation_base: 123,
compensation_bonus: 123,
annual_equity_grant_percent: 123,
annual_equity_grant_amount: 123,
initial_equity_grant_percent: 123,
initial_equity_grant_amount: 123,
relocation_bonus: 123,
sign_on_bonus: 123,
total_estimated_compensation: 123,
note: '<string>',
owner_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
client_contact_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.stardex.ai/v1/job-offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/job-offers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'job_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'candidate_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'job_offer_status_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'extended_date' => '<string>',
'accepted_date' => '<string>',
'candidate_start_date' => '<string>',
'compensation_currency' => '<string>',
'compensation_base' => 123,
'compensation_bonus' => 123,
'annual_equity_grant_percent' => 123,
'annual_equity_grant_amount' => 123,
'initial_equity_grant_percent' => 123,
'initial_equity_grant_amount' => 123,
'relocation_bonus' => 123,
'sign_on_bonus' => 123,
'total_estimated_compensation' => 123,
'note' => '<string>',
'owner_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'client_contact_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/job-offers/{id}"
payload := strings.NewReader("{\n \"job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"candidate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job_offer_status_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"extended_date\": \"<string>\",\n \"accepted_date\": \"<string>\",\n \"candidate_start_date\": \"<string>\",\n \"compensation_currency\": \"<string>\",\n \"compensation_base\": 123,\n \"compensation_bonus\": 123,\n \"annual_equity_grant_percent\": 123,\n \"annual_equity_grant_amount\": 123,\n \"initial_equity_grant_percent\": 123,\n \"initial_equity_grant_amount\": 123,\n \"relocation_bonus\": 123,\n \"sign_on_bonus\": 123,\n \"total_estimated_compensation\": 123,\n \"note\": \"<string>\",\n \"owner_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"client_contact_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.stardex.ai/v1/job-offers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"candidate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job_offer_status_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"extended_date\": \"<string>\",\n \"accepted_date\": \"<string>\",\n \"candidate_start_date\": \"<string>\",\n \"compensation_currency\": \"<string>\",\n \"compensation_base\": 123,\n \"compensation_bonus\": 123,\n \"annual_equity_grant_percent\": 123,\n \"annual_equity_grant_amount\": 123,\n \"initial_equity_grant_percent\": 123,\n \"initial_equity_grant_amount\": 123,\n \"relocation_bonus\": 123,\n \"sign_on_bonus\": 123,\n \"total_estimated_compensation\": 123,\n \"note\": \"<string>\",\n \"owner_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"client_contact_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/job-offers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"candidate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job_offer_status_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"extended_date\": \"<string>\",\n \"accepted_date\": \"<string>\",\n \"candidate_start_date\": \"<string>\",\n \"compensation_currency\": \"<string>\",\n \"compensation_base\": 123,\n \"compensation_bonus\": 123,\n \"annual_equity_grant_percent\": 123,\n \"annual_equity_grant_amount\": 123,\n \"initial_equity_grant_percent\": 123,\n \"initial_equity_grant_amount\": 123,\n \"relocation_bonus\": 123,\n \"sign_on_bonus\": 123,\n \"total_estimated_compensation\": 123,\n \"note\": \"<string>\",\n \"owner_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"client_contact_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "7e8f9012-3456-4789-a012-bcdef0123456",
"job_id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"job_name": "VP of Engineering",
"job_company_id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
"job_company_name": "Acme Corp",
"candidate_id": "3c4d5e6f-7a8b-4c9d-8e1f-2a3b4c5d6e7f",
"person_id": "4d5e6f7a-8b9c-4d0e-9f2a-3b4c5d6e7f8a",
"person_name": "Jordan Lee",
"status": {
"id": "5e6f7a8b-9c0d-4e1f-8a3b-4c5d6e7f8a9b",
"name": "Accepted",
"color": "#22c55e",
"status_type": "accepted"
},
"owners": [
{
"id": "6f7a8b9c-0d1e-4f2a-9b4c-5d6e7f8a9b0c",
"name": "Jane Smith",
"first_name": "Jane",
"last_name": "Smith",
"image_url": "https://img.clerk.com/jane-smith.png"
}
],
"client_contacts": [
{
"id": "7a8b9c0d-1e2f-4a3b-8c5d-6e7f8a9b0c1d",
"person_id": "8b9c0d1e-2f3a-4b4c-9d6e-7f8a9b0c1d2e",
"name": "Morgan Patel",
"first_name": "Morgan",
"last_name": "Patel",
"image_url": "https://media.example.com/morgan-patel.jpg"
}
],
"extended_date": "2026-04-02T00:00:00.000Z",
"accepted_date": "2026-04-09T00:00:00.000Z",
"candidate_start_date": "2026-05-04T00:00:00.000Z",
"compensation_currency": "USD",
"compensation_base": 285000,
"compensation_bonus": 20,
"bonus_type": "percent",
"annual_equity_grant_percent": null,
"annual_equity_grant_amount": 50000,
"initial_equity_grant_percent": 0.25,
"initial_equity_grant_amount": 400000,
"relocation_bonus": 15000,
"sign_on_bonus": 25000,
"total_estimated_compensation": 392000,
"note": "Accepted after a second-round counter on base.",
"created_at": "2026-04-02T15:20:00.000Z",
"updated_at": "2026-04-09T18:05:00.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Body
Was this page helpful?